Merge sane-backends 1.0.22-1 (main) from Debian unstable (main)

Bug #729283 reported by Artur Rona
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sane-backends (Ubuntu)
Fix Released
Wishlist
Martin Pitt

Bug Description

2011
sane-backends (1.0.22-1) unstable; urgency=low

   * New upstream release.
     + epson2: reject scan area settings that would lead to a division by zero
       (closes: #581181).

   * debian/control:
     + Bump Standards-Version to 3.9.1 (no changes).
     + Demote libsane-extras-* to Recommends again.
   * debian/rules:
     + Add acl (>= 2.2.49-4) to udev substvar for ACL utilities in /bin.
     + Use sane-desc -m udev+acl (closes: #591767, #612815).
   * debian/libsane.README.Debian:
     + Update; mention ConsoleKit and the udev rules now using ACLs.

   * debian/patches/sane-desc_udev+acl.patch:
     + Added; compared to experimental, setfacl is now in /bin.
   * debian/patches/fix_xerox_mfp_color_mode.patch,
     debian/patches/use_libsane_matched_for_scsi.patch,
     debian/patches/allow_dll.d_symlinks.patch,
     debian/patches/saned_exit_avahi_process.patch,
     debian/patches/xerox_mfp_new_ids.patch,
     debian/patches/scsi_perfection_2450.patch,
     debian/patches/scsi_scanjet_4c.patch,
     debian/patches/genesys_disable_raw_data_log.patch,
     debian/patches/fix_epson2_commands.patch,
     debian/patches/fix_epson2_cancel.patch:
     + Removed; merged upstream.

 -- Julien BLACHE <email address hidden> Wed, 16 Feb 2011 19:00:55 +0100
2010
sane-backends (1.0.22~git1.0.21-157-g126c70d-1) experimental; urgency=low

   * Git snapshot.

   * debian/rules:
     + Add dependency on acl to libsane when depending on udev.
     + Use udev+acl mode when generating udev rules.

   + debian/patches/sane-desc_udev+acl.patch:
     + Added; try using ACLs for USB scanners in an effort to deconflict with
       MFP devices.

 -- Julien BLACHE <email address hidden> Wed, 21 Jul 2010 18:36:37 +0200
sane-backends (1.0.22~git1.0.21-87-g323ed01-1) experimental; urgency=low

   * Git snapshot.
     + genesys now has some support for LiDE 100 & 200 (closes: #586189).

 -- Julien BLACHE <email address hidden> Wed, 23 Jun 2010 18:37:59 +0200

Related branches

Revision history for this message
Artur Rona (ari-tczew) wrote :

Everything should be OK, apart from ubuntu_udev_noperm.patch. It's complex to merge due to sane-desc_udev+acl.patch. I'd like to get it review and rewrite (if possible) by author, Martin Pitt. If someone can do it, go ahead.

Changed in sane-backends (Ubuntu):
importance: Undecided → Wishlist
Martin Pitt (pitti)
Changed in sane-backends (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Revision history for this message
Artur Rona (ari-tczew) wrote :

Merge sane-backends-extras is tracking on bug 729352.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sane-backends - 1.0.22-1ubuntu1

---------------
sane-backends (1.0.22-1ubuntu1) natty; urgency=low

  [ Artur Rona ]
  * Merge from debian unstable. Remaining changes: (LP: #729283)
    - debian/control:
      + Demote libsane-extras* from Recommends to Suggests, as long as
        this package is in universe.
      + Demote sane-utils from Recommends to Suggests.
        We do not want to have an init script for saned laying around,
        which is disabled by default anyway.
    - debian/libsane.postinst: Don't create a scanner group.
    - debian/libsane.preinst:
      + Remove the old file if unmodified.
      + Remove the old blacklist-scanner modprobe file.
    - debian/patches/disable_v4l.patch: Disable v4l backend.
    - debian/rules:
      - Link using -Bsymbolic-functions (startup time optimization).
      - Saned init script does not need to be started before gdm
        and does not need to be called on shutdown.
    - debian/sane-utils.*: No longer have scanner group.
    - debian/sane-utils.saned.init: Saned init script does not need to
      be started before gdm and does not need to be called on shutdown.

  [ Martin Pitt ]
  * Drop ubuntu_udev_noperm.patch. It's superseded by Debian's
    sane-desc_udev+acl.patch. This also brings back the accidentally dropped
    SCSI scanner rules. (LP: #727696)
  * debian/rules: Drop "acl" dependency. Current udev releases already
    evaluate the "libsane_matched" property, so we don't need the sane rules
    to do that again. Also drop the alternative "makedev" dependency; we
    only support udev.

sane-backends (1.0.22-1) unstable; urgency=low

  * New upstream release.
    + epson2: reject scan area settings that would lead to a division by zero
      (closes: #581181).

  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).
    + Demote libsane-extras-* to Recommends again.
  * debian/rules:
    + Add acl (>= 2.2.49-4) to udev substvar for ACL utilities in /bin.
    + Use sane-desc -m udev+acl (closes: #591767, #612815).
  * debian/libsane.README.Debian:
    + Update; mention ConsoleKit and the udev rules now using ACLs.

  * debian/patches/sane-desc_udev+acl.patch:
    + Added; compared to experimental, setfacl is now in /bin.
  * debian/patches/fix_xerox_mfp_color_mode.patch,
    debian/patches/use_libsane_matched_for_scsi.patch,
    debian/patches/allow_dll.d_symlinks.patch,
    debian/patches/saned_exit_avahi_process.patch,
    debian/patches/xerox_mfp_new_ids.patch,
    debian/patches/scsi_perfection_2450.patch,
    debian/patches/scsi_scanjet_4c.patch,
    debian/patches/genesys_disable_raw_data_log.patch,
    debian/patches/fix_epson2_commands.patch,
    debian/patches/fix_epson2_cancel.patch:
    + Removed; merged upstream.
 -- Artur Rona <email address hidden> Mon, 07 Mar 2011 15:01:07 +0100

Changed in sane-backends (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers